package com.goafanti.demand.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class DemandOrderListBo {
	private String	id;

	/**
	 * 编号
	 */
	private Integer	serialNumber;

	/**
	 * 科技需求ID
	 */
	private String	demandId;

	/**
	 * 接单时间
	 */
	private Date	createTime;

	/**
	 * 附件URL
	 */
	private String	enclosureUrl;

	/**
	 * 流程变动(0--初始意向,1--意向金,2--签订合同,3--合同金,4--佣金,5--服务金,6--关闭)
	 */
	private Integer	status;

	/**
	 * 意向金
	 */
	private Integer	intentionMoney;

	/**
	 * 合同金
	 */
	private Integer	contractMoney;

	/**
	 * 佣金
	 */
	private Integer	commission;

	/**
	 * 服务金
	 */
	private Integer	serviceMoney;

	/**
	 * 科技需求名称
	 */
	private String	name;

	/**
	 * 科技需求编号
	 */
	private Integer	demandSerialNumber;

	/**
	 * 科技需求删除标记
	 */
	private Integer	deletedSign;

	/**
	 * 科技需求审核状态
	 */
	private Integer	auditStatus;

	@JsonFormat(shape = Shape.STRING)
	public Integer getDeletedSign() {
		return deletedSign;
	}

	public void setDeletedSign(Integer deletedSign) {
		this.deletedSign = deletedSign;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getDemandSerialNumber() {
		return demandSerialNumber;
	}

	public void setDemandSerialNumber(Integer demandSerialNumber) {
		this.demandSerialNumber = demandSerialNumber;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getDemandId() {
		return demandId;
	}

	public void setDemandId(String demandId) {
		this.demandId = demandId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getEnclosureUrl() {
		return enclosureUrl;
	}

	public void setEnclosureUrl(String enclosureUrl) {
		this.enclosureUrl = enclosureUrl;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getIntentionMoney() {
		return intentionMoney;
	}

	public void setIntentionMoney(Integer intentionMoney) {
		this.intentionMoney = intentionMoney;
	}

	public Integer getContractMoney() {
		return contractMoney;
	}

	public void setContractMoney(Integer contractMoney) {
		this.contractMoney = contractMoney;
	}

	public Integer getCommission() {
		return commission;
	}

	public void setCommission(Integer commission) {
		this.commission = commission;
	}

	public Integer getServiceMoney() {
		return serviceMoney;
	}

	public void setServiceMoney(Integer serviceMoney) {
		this.serviceMoney = serviceMoney;
	}

	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

}
